# mudab
Meeres-Monitoringdaten von Küstenbundesländern und Forschungseinrichtungen


This Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: 1.0.0
- Package version: 0.1.0
- Build package: org.openapitools.codegen.languages.PythonClientCodegen

## Requirements.

Python >= 3.6

## Installation & Usage
### pip install

```sh
pip install deutschland[mudab]
```

### poetry install

```sh
poetry add deutschland -E mudab
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

## Usage

Import the package:
```python
from deutschland import mudab
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python

import time
from deutschland import mudab
from pprint import pprint
from deutschland.mudab.api import default_api
from deutschland.mudab.model.filter_request import FilterRequest
from deutschland.mudab.model.inline_response200 import InlineResponse200
from deutschland.mudab.model.inline_response2001 import InlineResponse2001
from deutschland.mudab.model.inline_response2002 import InlineResponse2002
from deutschland.mudab.model.inline_response2003 import InlineResponse2003
from deutschland.mudab.model.inline_response2004 import InlineResponse2004
from deutschland.mudab.model.inline_response2005 import InlineResponse2005
from deutschland.mudab.model.inline_response2006 import InlineResponse2006
from deutschland.mudab.model.inline_response2007 import InlineResponse2007
from deutschland.mudab.model.inline_response2008 import InlineResponse2008
# Defining the host is optional and defaults to https://geoportal.bafg.de/MUDABAnwendung/rest/BaseController/FilterElements
# See configuration.py for a list of all supported configuration parameters.
configuration = mudab.Configuration(
    host = "https://geoportal.bafg.de/MUDABAnwendung/rest/BaseController/FilterElements"
)



# Enter a context with an instance of the API client
with mudab.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = default_api.DefaultApi(api_client)
    filter_request = FilterRequest(
        filter=Filter(
            _or=FilterAction(
                col="col_example",
                op="op_example",
                value="value_example",
            ),
            _and=FilterAction(
                col="col_example",
                op="op_example",
                value="value_example",
            ),
        ),
        range=Range(
            _from=1,
            count=1,
        ),
        orderby=Orderby(
            col="col_example",
            dir="asc",
        ),
    ) # FilterRequest |  (optional)

    try:
        # Liste aller Messstationen
        api_response = api_instance.list_mess_stationen(filter_request=filter_request)
        pprint(api_response)
    except mudab.ApiException as e:
        print("Exception when calling DefaultApi->list_mess_stationen: %s\n" % e)
```

## Documentation for API Endpoints

All URIs are relative to *https://geoportal.bafg.de/MUDABAnwendung/rest/BaseController/FilterElements*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*DefaultApi* | [**list_mess_stationen**](docs/DefaultApi.md#list_mess_stationen) | **POST** /STATION_SMALL | Liste aller Messstationen
*DefaultApi* | [**list_parameter**](docs/DefaultApi.md#list_parameter) | **POST** /MV_PARAMETER | Liste aller Parameter
*DefaultApi* | [**list_parameter_values**](docs/DefaultApi.md#list_parameter_values) | **POST** /MV_STATION_MSMNT | Liste aller Messwerte
*DefaultApi* | [**list_parameters_biologie**](docs/DefaultApi.md#list_parameters_biologie) | **POST** /MV_PARAMETER_BIOLOGIE | Liste aller Parameter im Biologie Kompartiment
*DefaultApi* | [**list_parameters_biota**](docs/DefaultApi.md#list_parameters_biota) | **POST** /MV_PARAMETER_BIOTA | Liste aller Parameter im Biota Kompartiment
*DefaultApi* | [**list_parameters_sediment**](docs/DefaultApi.md#list_parameters_sediment) | **POST** /MV_PARAMETER_SEDIMENT | Liste aller Parameter im Sediment Kompartiment
*DefaultApi* | [**list_parameters_wasser**](docs/DefaultApi.md#list_parameters_wasser) | **POST** /MV_PARAMETER_WASSER | Liste aller Parameter im Wasser Kompartiment
*DefaultApi* | [**list_plc_stations**](docs/DefaultApi.md#list_plc_stations) | **POST** /V_PLC_STATION | Liste aller HELCOM PLC Stationen
*DefaultApi* | [**list_projekt_stationen**](docs/DefaultApi.md#list_projekt_stationen) | **POST** /PROJECTSTATION_SMALL | Liste aller Projekt Stationen


## Documentation For Models

 - [Compartment](docs/Compartment.md)
 - [Filter](docs/Filter.md)
 - [FilterAction](docs/FilterAction.md)
 - [FilterRequest](docs/FilterRequest.md)
 - [HelcomPLCStation](docs/HelcomPLCStation.md)
 - [InlineResponse200](docs/InlineResponse200.md)
 - [InlineResponse2001](docs/InlineResponse2001.md)
 - [InlineResponse2002](docs/InlineResponse2002.md)
 - [InlineResponse2003](docs/InlineResponse2003.md)
 - [InlineResponse2004](docs/InlineResponse2004.md)
 - [InlineResponse2005](docs/InlineResponse2005.md)
 - [InlineResponse2006](docs/InlineResponse2006.md)
 - [InlineResponse2007](docs/InlineResponse2007.md)
 - [InlineResponse2008](docs/InlineResponse2008.md)
 - [Messstation](docs/Messstation.md)
 - [Orderby](docs/Orderby.md)
 - [Parameter](docs/Parameter.md)
 - [ParameterValue](docs/ParameterValue.md)
 - [ProjectStation](docs/ProjectStation.md)
 - [Range](docs/Range.md)


## Documentation For Authorization

 All endpoints do not require authorization.

## Author

kontakt@bund.dev


## Notes for Large OpenAPI documents
If the OpenAPI document is large, imports in mudab.apis and mudab.models may fail with a
RecursionError indicating the maximum recursion limit has been exceeded. In that case, there are a couple of solutions:

Solution 1:
Use specific imports for apis and models like:
- `from deutschland.mudab.api.default_api import DefaultApi`
- `from deutschland.mudab.model.pet import Pet`

Solution 2:
Before importing the package, adjust the maximum recursion limit as shown below:
```
import sys
sys.setrecursionlimit(1500)
from deutschland import mudab
from deutschland.mudab.apis import *
from deutschland.mudab.models import *
```

