# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['deutschland',
 'deutschland.mudab',
 'deutschland.mudab.api',
 'deutschland.mudab.apis',
 'deutschland.mudab.model',
 'deutschland.mudab.models']

package_data = \
{'': ['*']}

install_requires = \
['python-dateutil', 'urllib3>=1.25.3']

setup_kwargs = {
    'name': 'de-mudab',
    'version': '0.1.0',
    'description': 'Umweltbundesamt: Meeresumweltdatenbank (MUDAB)',
    'long_description': '# mudab\nMeeres-Monitoringdaten von Küstenbundesländern und Forschungseinrichtungen\n\n\nThis Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:\n\n- API version: 1.0.0\n- Package version: 0.1.0\n- Build package: org.openapitools.codegen.languages.PythonClientCodegen\n\n## Requirements.\n\nPython >= 3.6\n\n## Installation & Usage\n### pip install\n\n```sh\npip install deutschland[mudab]\n```\n\n### poetry install\n\n```sh\npoetry add deutschland -E mudab\n```\n\n### Setuptools\n\nInstall via [Setuptools](http://pypi.python.org/pypi/setuptools).\n\n```sh\npython setup.py install --user\n```\n(or `sudo python setup.py install` to install the package for all users)\n\n## Usage\n\nImport the package:\n```python\nfrom deutschland import mudab\n```\n\n## Getting Started\n\nPlease follow the [installation procedure](#installation--usage) and then run the following:\n\n```python\n\nimport time\nfrom deutschland import mudab\nfrom pprint import pprint\nfrom deutschland.mudab.api import default_api\nfrom deutschland.mudab.model.filter_request import FilterRequest\nfrom deutschland.mudab.model.inline_response200 import InlineResponse200\nfrom deutschland.mudab.model.inline_response2001 import InlineResponse2001\nfrom deutschland.mudab.model.inline_response2002 import InlineResponse2002\nfrom deutschland.mudab.model.inline_response2003 import InlineResponse2003\nfrom deutschland.mudab.model.inline_response2004 import InlineResponse2004\nfrom deutschland.mudab.model.inline_response2005 import InlineResponse2005\nfrom deutschland.mudab.model.inline_response2006 import InlineResponse2006\nfrom deutschland.mudab.model.inline_response2007 import InlineResponse2007\nfrom deutschland.mudab.model.inline_response2008 import InlineResponse2008\n# Defining the host is optional and defaults to https://geoportal.bafg.de/MUDABAnwendung/rest/BaseController/FilterElements\n# See configuration.py for a list of all supported configuration parameters.\nconfiguration = mudab.Configuration(\n    host = "https://geoportal.bafg.de/MUDABAnwendung/rest/BaseController/FilterElements"\n)\n\n\n\n# Enter a context with an instance of the API client\nwith mudab.ApiClient(configuration) as api_client:\n    # Create an instance of the API class\n    api_instance = default_api.DefaultApi(api_client)\n    filter_request = FilterRequest(\n        filter=Filter(\n            _or=FilterAction(\n                col="col_example",\n                op="op_example",\n                value="value_example",\n            ),\n            _and=FilterAction(\n                col="col_example",\n                op="op_example",\n                value="value_example",\n            ),\n        ),\n        range=Range(\n            _from=1,\n            count=1,\n        ),\n        orderby=Orderby(\n            col="col_example",\n            dir="asc",\n        ),\n    ) # FilterRequest |  (optional)\n\n    try:\n        # Liste aller Messstationen\n        api_response = api_instance.list_mess_stationen(filter_request=filter_request)\n        pprint(api_response)\n    except mudab.ApiException as e:\n        print("Exception when calling DefaultApi->list_mess_stationen: %s\\n" % e)\n```\n\n## Documentation for API Endpoints\n\nAll URIs are relative to *https://geoportal.bafg.de/MUDABAnwendung/rest/BaseController/FilterElements*\n\nClass | Method | HTTP request | Description\n------------ | ------------- | ------------- | -------------\n*DefaultApi* | [**list_mess_stationen**](docs/DefaultApi.md#list_mess_stationen) | **POST** /STATION_SMALL | Liste aller Messstationen\n*DefaultApi* | [**list_parameter**](docs/DefaultApi.md#list_parameter) | **POST** /MV_PARAMETER | Liste aller Parameter\n*DefaultApi* | [**list_parameter_values**](docs/DefaultApi.md#list_parameter_values) | **POST** /MV_STATION_MSMNT | Liste aller Messwerte\n*DefaultApi* | [**list_parameters_biologie**](docs/DefaultApi.md#list_parameters_biologie) | **POST** /MV_PARAMETER_BIOLOGIE | Liste aller Parameter im Biologie Kompartiment\n*DefaultApi* | [**list_parameters_biota**](docs/DefaultApi.md#list_parameters_biota) | **POST** /MV_PARAMETER_BIOTA | Liste aller Parameter im Biota Kompartiment\n*DefaultApi* | [**list_parameters_sediment**](docs/DefaultApi.md#list_parameters_sediment) | **POST** /MV_PARAMETER_SEDIMENT | Liste aller Parameter im Sediment Kompartiment\n*DefaultApi* | [**list_parameters_wasser**](docs/DefaultApi.md#list_parameters_wasser) | **POST** /MV_PARAMETER_WASSER | Liste aller Parameter im Wasser Kompartiment\n*DefaultApi* | [**list_plc_stations**](docs/DefaultApi.md#list_plc_stations) | **POST** /V_PLC_STATION | Liste aller HELCOM PLC Stationen\n*DefaultApi* | [**list_projekt_stationen**](docs/DefaultApi.md#list_projekt_stationen) | **POST** /PROJECTSTATION_SMALL | Liste aller Projekt Stationen\n\n\n## Documentation For Models\n\n - [Compartment](docs/Compartment.md)\n - [Filter](docs/Filter.md)\n - [FilterAction](docs/FilterAction.md)\n - [FilterRequest](docs/FilterRequest.md)\n - [HelcomPLCStation](docs/HelcomPLCStation.md)\n - [InlineResponse200](docs/InlineResponse200.md)\n - [InlineResponse2001](docs/InlineResponse2001.md)\n - [InlineResponse2002](docs/InlineResponse2002.md)\n - [InlineResponse2003](docs/InlineResponse2003.md)\n - [InlineResponse2004](docs/InlineResponse2004.md)\n - [InlineResponse2005](docs/InlineResponse2005.md)\n - [InlineResponse2006](docs/InlineResponse2006.md)\n - [InlineResponse2007](docs/InlineResponse2007.md)\n - [InlineResponse2008](docs/InlineResponse2008.md)\n - [Messstation](docs/Messstation.md)\n - [Orderby](docs/Orderby.md)\n - [Parameter](docs/Parameter.md)\n - [ParameterValue](docs/ParameterValue.md)\n - [ProjectStation](docs/ProjectStation.md)\n - [Range](docs/Range.md)\n\n\n## Documentation For Authorization\n\n All endpoints do not require authorization.\n\n## Author\n\nkontakt@bund.dev\n\n\n## Notes for Large OpenAPI documents\nIf the OpenAPI document is large, imports in mudab.apis and mudab.models may fail with a\nRecursionError indicating the maximum recursion limit has been exceeded. In that case, there are a couple of solutions:\n\nSolution 1:\nUse specific imports for apis and models like:\n- `from deutschland.mudab.api.default_api import DefaultApi`\n- `from deutschland.mudab.model.pet import Pet`\n\nSolution 2:\nBefore importing the package, adjust the maximum recursion limit as shown below:\n```\nimport sys\nsys.setrecursionlimit(1500)\nfrom deutschland import mudab\nfrom deutschland.mudab.apis import *\nfrom deutschland.mudab.models import *\n```\n\n',
    'author': 'BundesAPI',
    'author_email': 'kontakt@bund.dev',
    'maintainer': None,
    'maintainer_email': None,
    'url': 'https://github.com/bundesAPI/mudab-api',
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'python_requires': '>=3.6',
}


setup(**setup_kwargs)
